### Method

# Vte Terminal set_context_menu

since: 0.76

#### Declaration [src]

    void
    vte_terminal_set_context_menu (
      VteTerminal* terminal,
      GtkWidget* menu
    )

#### Description [src]

Sets `menu` as the context menu in `terminal`. Use `NULL` to unset the current menu.

Note that a menu model set with `vte_terminal_set_context_menu_model()` takes precedence over a menu set using this function.

Available since: 0.76

Sets property | `Vte.Terminal:context-menu`

#### Parameters

`menu`

  Type: `GtkWidget`

  A menu.

  The argument can be `NULL`.
  The data is owned by the caller of the method.